# Form implementation generated from reading ui file 'src/eric7/Plugins/VcsPlugins/vcsMercurial/HgDiffDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_HgDiffDialog(object):
    def setupUi(self, HgDiffDialog):
        HgDiffDialog.setObjectName("HgDiffDialog")
        HgDiffDialog.resize(749, 646)
        self.vboxlayout = QtWidgets.QVBoxLayout(HgDiffDialog)
        self.vboxlayout.setObjectName("vboxlayout")
        self.contentsGroup = QtWidgets.QGroupBox(parent=HgDiffDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Preferred, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(3)
        sizePolicy.setHeightForWidth(self.contentsGroup.sizePolicy().hasHeightForWidth())
        self.contentsGroup.setSizePolicy(sizePolicy)
        self.contentsGroup.setObjectName("contentsGroup")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.contentsGroup)
        self.verticalLayout.setObjectName("verticalLayout")
        self.filesCombo = QtWidgets.QComboBox(parent=self.contentsGroup)
        self.filesCombo.setObjectName("filesCombo")
        self.verticalLayout.addWidget(self.filesCombo)
        self.searchWidget = EricTextEditSearchWidget(parent=self.contentsGroup)
        self.searchWidget.setFocusPolicy(QtCore.Qt.FocusPolicy.WheelFocus)
        self.searchWidget.setObjectName("searchWidget")
        self.verticalLayout.addWidget(self.searchWidget)
        self.contents = QtWidgets.QPlainTextEdit(parent=self.contentsGroup)
        self.contents.setLineWrapMode(QtWidgets.QPlainTextEdit.LineWrapMode.NoWrap)
        self.contents.setReadOnly(True)
        self.contents.setTabStopDistance(8.0)
        self.contents.setObjectName("contents")
        self.verticalLayout.addWidget(self.contents)
        self.vboxlayout.addWidget(self.contentsGroup)
        self.errorGroup = QtWidgets.QGroupBox(parent=HgDiffDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Preferred, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(1)
        sizePolicy.setHeightForWidth(self.errorGroup.sizePolicy().hasHeightForWidth())
        self.errorGroup.setSizePolicy(sizePolicy)
        self.errorGroup.setObjectName("errorGroup")
        self.vboxlayout1 = QtWidgets.QVBoxLayout(self.errorGroup)
        self.vboxlayout1.setObjectName("vboxlayout1")
        self.errors = QtWidgets.QTextEdit(parent=self.errorGroup)
        self.errors.setReadOnly(True)
        self.errors.setAcceptRichText(False)
        self.errors.setObjectName("errors")
        self.vboxlayout1.addWidget(self.errors)
        self.vboxlayout.addWidget(self.errorGroup)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=HgDiffDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Close|QtWidgets.QDialogButtonBox.StandardButton.Save)
        self.buttonBox.setObjectName("buttonBox")
        self.vboxlayout.addWidget(self.buttonBox)

        self.retranslateUi(HgDiffDialog)
        self.buttonBox.rejected.connect(HgDiffDialog.close) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(HgDiffDialog)
        HgDiffDialog.setTabOrder(self.filesCombo, self.searchWidget)
        HgDiffDialog.setTabOrder(self.searchWidget, self.contents)
        HgDiffDialog.setTabOrder(self.contents, self.errors)

    def retranslateUi(self, HgDiffDialog):
        _translate = QtCore.QCoreApplication.translate
        HgDiffDialog.setWindowTitle(_translate("HgDiffDialog", "Mercurial Diff"))
        self.contentsGroup.setTitle(_translate("HgDiffDialog", "Difference"))
        self.contents.setWhatsThis(_translate("HgDiffDialog", "<b>Mercurial Diff</b><p>This shows the output of the hg diff command.</p>"))
        self.errorGroup.setTitle(_translate("HgDiffDialog", "Errors"))
from eric7.EricWidgets.EricTextEditSearchWidget import EricTextEditSearchWidget
